Vcards

GET https://oqp.link/api/vcards/
curl --request GET \
--url 'https://oqp.link/api/vcards/' \
--header 'Authorization: Bearer {api_key}' \
Parameters تفاصيل الوصف
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25.
{ "data": [ { "id": 1, "domain_id": 0, "pixels_ids": [1,2,3], "project_id": 0, "url": "example", "full_url": "https://oqp.link/s/example/", "name": "Example", "description": "This is just a simple description for the example vcard 👋.", "settings": { "is_share_button_visible": true, "is_download_button_visible": true, "background_type": "preset", "background_color": "#ffffff", "background_preset": "one", "background_gradient_one": "#ffffff", "background_gradient_two": "#ffffff", "background": "", "font_family": "default", "font_size": 16, "favicon": "", "logo": "", "opengraph": "", "leap_link": null, "title": null, "meta_description": null, "meta_keywords": null }, "password": false, "theme": "new-york", "custom_js": "", "custom_css": "", "pageviews": 50, "is_se_visible": true, "is_removed_branding": false, "is_enabled": true, "datetime": "2021-02-16 10:47:34" } ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://oqp.link/api/vcards?&page=1", "last": "https://oqp.link/api/vcards?&page=1", "next": null, "prev": null, "self": "https://oqp.link/api/vcards?&page=1" } }
GET https://oqp.link/api/vcards/{vcard_id}
curl --request GET \
--url 'https://oqp.link/api/vcards/{vcard_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "domain_id": 0, "pixels_ids": [1,2,3], "project_id": 0, "url": "example", "full_url": "https://oqp.link/s/example/", "name": "Example", "description": "This is just a simple description for the example vcard 👋.", "settings": { "is_share_button_visible": true, "is_download_button_visible": true, "background_type": "preset", "background_color": "#ffffff", "background_preset": "one", "background_gradient_one": "#ffffff", "background_gradient_two": "#ffffff", "background": "", "font_family": "default", "font_size": 16, "favicon": "", "logo": "", "opengraph": "", "leap_link": null, "title": null, "meta_description": null, "meta_keywords": null }, "password": false, "theme": "new-york", "custom_js": "", "custom_css": "", "pageviews": 50, "is_se_visible": true, "is_removed_branding": false, "is_enabled": true, "datetime": "2021-02-16 10:47:34" } }
POST https://oqp.link/api/vcards/
curl --request POST \
--url 'https://oqp.link/api/vcards/' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'name=My Vcard' \
--data-urlencode 'description=My awesome vcard description' \
Parameters تفاصيل الوصف
name Required String missing_translation: vcard.input.name
description Optional String الوصف
url Optional String عنوان URL المستعار
domain_id Optional Integer نطاق
project_id Optional Integer missing_translation: vcard.input.project_id
password Optional String missing_translation: vcard.input.password
theme Optional String الثيم
custom_js Optional String مخصص JS
custom_css Optional String CSS مخصص
is_enabled Optional Boolean بطاقة Vcard نشطة
is_se_visible Optional Boolean ظهور محرك البحث
is_removed_branding Optional Boolean إزالة العلامات التجارية
{ "data": { "id": 1 } }
PATCH https://oqp.link/api/vcards/{vcard_id}
curl --request PATCH \
--url 'https://oqp.link/api/vcards/{vcard_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'name=Updated Vcard Name' \
--data-urlencode 'description=Updated description' \
Parameters تفاصيل الوصف
name Optional String missing_translation: vcard.input.name
description Optional String الوصف
url Optional String عنوان URL المستعار
domain_id Optional Integer نطاق
project_id Optional Integer missing_translation: vcard.input.project_id
password Optional String missing_translation: vcard.input.password
theme Optional String الثيم
custom_js Optional String مخصص JS
custom_css Optional String CSS مخصص
is_enabled Optional Boolean بطاقة Vcard نشطة
is_se_visible Optional Boolean ظهور محرك البحث
is_removed_branding Optional Boolean إزالة العلامات التجارية
{ "data": { "id": 1 } }
DELETE https://oqp.link/api/vcards/{vcard_id}
curl --request DELETE \
--url 'https://oqp.link/api/vcards/{vcard_id}' \
--header 'Authorization: Bearer {api_key}' \
HTTP 200 OK